
require "text"
require "window"

-- load variables
function love.load()
    -- shortcut for love objects
    lg = love.graphics
    lk = love.keyboard
    ls = love.system
    lt = love.timer

    -- set variables
    --font = lg.newFont('font/main.ttf',8)
    font = lg.newImageFont('font/myfont.png'," abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789.,!?-+/():;%&`'*#=[]\"")
    fonth = font:getHeight()+2
    fontw = function(s) return font:getWidth(s) end
    color = {
        white = {255,255,255,255},
        black = {0,0,0,255},
        gray = {128,128,128,255},
        window = {0,80,160,255},
        shadow = {96,96,96,255}
    }
	box = { x=200, y=200 }		--<== ADDED
    cfg = {
        msgspd = 30,
        wincol = color.window,
        textsh = true
    }
    key = {
        ent = 'z',
        esc = 'x'
    }
    love.graphics.setFont(font)
    kp = '' -- last key press

    -- shortcut functions
    get_time = love.timer.getTime
    len = table.getn

    s = {}
    s[1] = 'Hello! This is a new message system I created in LOVE. It has some pretty neat features such as pauses,|,|,|, |c88ccffffcolor changes|cffffffff, asking for a keypress, and|nnewlines. (press |cffff00ffz|cffffffff)'
    s[2] = 'After the full message is displayed, you can either press |cffff00ffz|cffffffff or wait a certain amount of time for the message to finish, here 2 seconds.'
    s[3] = 'You can also set a width if you want the message to wrap, which is useful if you have a message box.'
    s[4] = 'If you don\'t set it (or set it to |cff6666ffnil|cffffffff), the message keeps going...'
    s[5] = 'Some messages can be skipped by pressing |c88ccffffz|cffffffff, but others (like this one) cannot. So you have to sit through this text that you\'re reading right now. This may be useful for cutscenes and such.'
    s[6] = 'I still have to add features like text alignment, menu choices, and some other stuff, but I wanted to show you what I had so far.'
    s[7] = 'The comment under |c88ffccffmessage class|cffffffff in |c88ffccfftext.lua|cffffffff explains how to use this. Let me know in the topic in the forums if you find any bugs. Thanks!'
	s[8] = 'Press <escape> to exit'	--< ADDED
   w = {200,200,200,   100   ,200,200,200,130}	--< CHANGED

    wait = {nil,2,nil,nil,nil,nil,nil,nil}
    skip = {true,true,true,true,false,true,true,true}
    m = {}
    for i = 1,#s do
        m[i] = message:new(s[i],w[i],wait[i],skip[i])
    end
end

-- update game
function love.update(dt)
end

-- draw stuff
function love.draw()

    lg.setColor({0,100,150,255})
    play_messages(m)
    kp = ''
end

-- key press
function love.keypressed(k)
    kp = k
	if k == 'escape' then love.event.push( 'quit' )	end	--< CORRECTED
end
